API für Partner › Integrationen Webhook der Zahlungsplattform konfigurieren POST /api/crm/v2/integration_payments.update_webhook_settingsv2
operationId: integrationPayments.updateWebhookSettings
Fordert beim Provider die Erstellung oder Aktualisierung eines Webhooks für die Anbindung an und speichert den erhaltenen webhook_key in den Filial-Einstellungen.
Autorisierung api-token + language + role
Abfrageparameter branch_id integer erforderlich
Beispiel: 1
Anfragetext application/json object
id integer erforderlich
Beispiel: 1
Antworten 200
object
status string erforderlich
Werte: successerror
Beispiel: success
curl PHP JavaScript Python Kopieren
curl -X POST 'https://foodsoul.pro/api/crm/v2/integration_payments.update_webhook_settings?branch_id=1' \
-H 'Authorization: Bearer fs_api_YOUR_TOKEN' \
-H 'language: de' \
-H 'role: partner' \
-H 'Content-Type: application/json' \
-d '{"id":1}' <?php
$client = new \GuzzleHttp\Client ();
$response = $client -> request ( 'POST' , 'https://foodsoul.pro/api/crm/v2/integration_payments.update_webhook_settings?branch_id=1' , [
'headers' => [
'Authorization' => 'Bearer fs_api_YOUR_TOKEN' ,
'language' => 'de' ,
'role' => 'partner' ,
],
'json' => [
'id' => 1 ,
],
]);
$data = json_decode (( string ) $response -> getBody (), true ); const response = await fetch ( "https://foodsoul.pro/api/crm/v2/integration_payments.update_webhook_settings?branch_id=1" , {
method : "POST" ,
headers : {
"Authorization" : "Bearer fs_api_YOUR_TOKEN" ,
"language" : "de" ,
"role" : "partner" ,
"Content-Type" : "application/json"
},
body : JSON . stringify ({
"id" : 1
}),
})
const data = await response . json () import requests
response = requests . request (
"POST" ,
"https://foodsoul.pro/api/crm/v2/integration_payments.update_webhook_settings?branch_id=1" ,
headers ={
"Authorization" : "Bearer fs_api_YOUR_TOKEN" ,
"language" : "de" ,
"role" : "partner" ,
},
json ={
"id" : 1 ,
},
)
data = response . json () Antwort 200
{
"status" : "success" ,
"data" : {}
} Anfragen werden an foodsoul.pro gesendet – dies ist der Host dieses Portals, ein anderer kann nicht ausgewählt werden.